# class RDoc::Plugin

Plugin holds a native puppet plugin (function,type...) It is mapped to a HTMLPuppetPlugin for display

### Attributes

name[RW]
type[RW]

### Public Class Methods

new(name, type) click to toggle source
Calls superclass method

    # File lib/puppet/util/rdoc/code_objects.rb, line 186
    def initialize(name, type)
      super()
      @name = name
      @type = type
      @comment = ""
    end

### Public Instance Methods

<=>(other) click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 193
    def <=>(other)
      @name <=> other.name
    end

full_name() click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 197
    def full_name
      @name
    end

http_url(prefix) click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 201
    def http_url(prefix)
      path = full_name.split("::")
      File.join(prefix, *path) + ".html"
    end

is_fact?() click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 206
    def is_fact?
      false
    end

to_s() click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 210
    def to_s
      res = self.class.name + ": #{@name} (#{@type})\n"
      res << @comment.to_s
      res
    end